Bug 135359 - Need way to find packages
Need way to find packages
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2004-10-12 03:14 EDT by Need Real Name
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-13 10:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-10-12 03:14:57 EDT
During an install of Fedora, the user is shown package descriptions
whilst rpms are installed.

Once the system is setup however, there is no obvious way - from the
command line, and with up2date - to query this list of packages in all
repositories a user has to find the name of the package needed.

For example, I would like to install the snmpwalk program.

# update --search snmpwalk
Package name: net-snmp-utils

The reality (two choices).
1. The easier way: play guess the path and use up2date --whatprovides
2. Spend time Googling.
Both of these ways are slower than the "update --search" option.

I realise the rpmdb-fedora package will address the "not sure which
package solves a dependency" problem, but the documentation that comes
with it seems missing.
Comment 1 Adrian Likins 2004-10-13 16:37:33 EDT
theres a couple things that are close to this that
you may find useful:

1. glob support
    up2date "foo*"

2. comps support
    up2date "@Gnome Workstation"

3. up2date --show-available
   This lists all the packages available that are
   not currently installed. 

4. up2date --show-package-dialog
   If using the gui, this will show an additional package
   selection screen, showing all the packages that
   are not currently installed. 
Comment 2 Need Real Name 2005-01-10 11:11:12 EST
Here's a good one: try and find the uudecode binary using up2date.
Comment 3 Need Real Name 2005-04-11 10:39:29 EDT
Moving to yum.
Comment 4 Need Real Name 2005-04-13 10:22:24 EDT
# yum provides uudecode
is the answer. Thanks seth!

btw. I noticed that multiple runs of yum provides uudecode re-read the package
lists each time. Should a second run not act as if -C had been given?
Comment 5 Seth Vidal 2005-04-13 10:28:17 EDT
b/c you can't tell if metadata has been updated the second time.

you have to check something, at least.

Note You need to log in before you can comment on or make changes to this bug.